Page MenuHomePhabricator

Search and replace - not always displaying found term
Closed, InvalidPublic

Description

Author: howiewiki

Description:
When searching for a word within the editor, the feature usually shows the found term highlighted in the background. Sometimes, however, the word does not appear highlighted in the background. In fact, I can't find the location of the found word at all.

  1. Edit "San Francisco"
  2. Search for "San Francisco"
  3. Click "find next" a few times

Version: unspecified
Severity: major
OS: Mac OS X 10.6
Platform: Macintosh

Details

Reference
bz22801

Event Timeline

bzimport raised the priority of this task from to Normal.Nov 21 2014, 11:04 PM
bzimport added a project: WikiEditor.
bzimport set Reference to bz22801.
bzimport added a subscriber: Unknown Object (MLST).

Are you sure it's not just behind the dialog?

We should use the line highlight feature here, would be trivial.

On second thought, it could also be that the highlighted text is out of view and doesn't get scrolled into view.

amiller1 wrote:

Committed some fixes for the search and replace dialog in r63839. Safari still displays an issue with long articles where the selection will not be set properly beyond 15200 characters. IE still displays an issue where the text selected is often not the text that was matched, but rather a few characters before it. All browsers display an issue where matched text inside of template capsules is not shown.

This dialog doesn't have to be a separate window that hides the text. Google Docs elegantly avoids this problem by displaying the Search and Replace dialog as a toolbar instead. Think also about the search bars in Firefox and Chrome.

In the Hebrew Wikipedia there's a gadget that already does something very similar to the Google Docs' search bar: http://he.wikipedia.org/wiki/MediaWiki:Gadget-EditReplace.js

I think that it only works with the old toolbar and it has a couple of other problems, but the idea should be clear. I can translate the Hebrew strings if you are interested.

demon removed a subscriber: demon.Aug 19 2015, 4:41 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptAug 19 2015, 4:41 PM
Meno25 removed a subscriber: Meno25.Feb 19 2016, 5:46 PM
TheDJ closed this task as Invalid.Nov 17 2018, 2:13 PM

This ticket is so old, so are the browsers on which this was reported..
I'm closing this. If anyone has a specific problem, please file a new ticket with detailed reproduction steps.

happy5214 moved this task from Backlog to Closed on the WikiEditor board.Aug 4 2019, 12:02 PM